### Method

# Gimp Palette set_entry_name

since: 2.2

#### Declaration [src]

    gboolean
    gimp_palette_set_entry_name (
      GimpPalette* palette,
      gint entry_num,
      const gchar* entry_name
    )

#### Description [src]

Sets the name of an entry in the palette.

Sets the name of the entry at the zero-based index into the palette. Returns an error if the index is out or range. Returns an error if the palette is not editable.

Available since: 2.2

#### Parameters

`entry_num`

  Type: `gint`

  The entry to get.

`entry_name`

  Type: `const gchar*`

  The new name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.